%define	ver		1.0.11
%define	rel		9
%define	xfontdir_	%{_datadir}/fonts/ko
%define	xfontdir	%{xfontdir_}/TrueType

Name:		ttfonts-ko
Version:	%{ver}
Release:	%{rel}
License:	Distributable
Group: User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

# Original file is bzip2
Source0:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-2.0.tar.bz2
Source1:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc.tar.gz
Source2:	ttfonts-ko-fonts.alias
Source3:	ttfonts-ko-fonts.scale
Source4:	baekmuk-2.0.tar.gz


BuildPreReq:	XFree86-xfs
PreReq:		chkfontpath

Summary: Baekmuk Korean TrueType fonts.
%description
This package provides Baekmuk Korean TrueType fonts.


%prep
%setup -T -c -a 0 -a 4

%build
mkdir -p %{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko

for file in *.bdf; do
  fontname=`basename $file .bdf`
  bdftopcf $file > $fontname.pcf
done

for file in *.pcf; do
  gzip $file
done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{xfontdir}/fonts.scale

# default font
pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/dotum.ttf default.font
	ln -s TrueType/hline.ttf default-bold.font
popd

mkdir -p $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko
tar xzvf %{SOURCE1} -C $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/ttfonts-ko

# Bitmap
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean
install -m444 *.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean
install -m444 fonts.alias $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean/ttfonts-ko.alias
/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/korean/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/X11R6/lib/X11/fonts/korean/fonts.alias ] ; then
  TMPFILE='mktemp /tmp/font.alias.XXXXXXXX'
  cat /usr/X11R6/lib/X11/fonts/korean/ttfonts-ko.alias \
   /usr/X11R6/lib/X11/fonts/korean/fonts.alias | sort | uniq > \
   $TMPFILE

   mv -f $TMPFILE /usr/X11R6/lib/X11/fonts/korean/fonts.alias
  /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/korean
fi

if [ -w %{xfontdir}/fonts.dir ] ; then
  touch %{xfontdir}/fonts.dir
fi

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
			 -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 %{xfontdir}

/usr/sbin/chkfontpath -q -a %{xfontdir}
/usr/sbin/chkfontpath -qfa /usr/X11R6/lib/X11/fonts/korean

#Update Gnome Fonts
if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
  /usr/bin/redhat-update-gnome-font-install
fi


%preun
if [ "$1" = "0" ];
then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
fi

%postun
#Update Gnome Fonts
if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
  /usr/bin/redhat-update-gnome-font-install
fi

%files
%defattr(-,root,root)
%doc doc/*
%attr(0755,root,root) %dir %{xfontdir_}
%attr(0755,root,root) %dir %{xfontdir}
# %config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/fonts.alias
# %config(noreplace) %{xfontdir}/encodings.dir
%config(noreplace) %{xfontdir_}/default*.font
%{xfontdir}/*ttf
/usr/X11R6/lib/X11/fonts/korean/*

%changelog
* Thu Apr 11 2002 Jeremy Katz <katzj@redhat.com>
- cleanup the redhat-update-gnome-font-install stuff (#62728)

* Fri Mar 15 2002 Jeremy Katz <katzj@redhat.com>
- fix fonts.scale file to be valid

* Fri Mar 15 2002 David Joo <djoo@redhat.com>
- Bug fix for #59360

* Thu Jan 31 2002 David Joo <djoo@redhat.com>
- Rebuilt against Hampton

* Fri Oct 10 2001 David Joo <djoo@redhat.com>
- repakaged font with right character sets (#53798)
- temp file creation protocol has been changed

* Tue Sep  4 2001 Bill Nottingham <notting@redhat.com>
- run chkfontpath *after* making fonts.dir/fonts.alias

* Thu Aug 30 2001 Leon Ho <llch@redhat.com>
- corrected when using for net shared env (#52743)

* Fri Aug 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Make korean directory to prevent mkfontdir confusing problem.

* Fri Aug 24 2001 Leon Ho <llch@redhat.com>
- Modify baekmuk bdfs to diff name to prevent crashes

* Thu Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add baekmuk bitmap font

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- added default font for Nautilus.

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 1.0-3
- added iso8859-1 entry in fonts.scale.

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- added fonts.scale file.

* Mon Jun 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.

